Closed Bug 1567076 Opened 2 years ago Closed 2 years ago

Toggling "unwanted and uncommon" doesn't set the pref back to its default value

Categories

(Toolkit :: Safe Browsing, defect, P2)

defect

Tracking

()

VERIFIED FIXED
mozilla73
Tracking Status
firefox-esr60 --- unaffected
firefox-esr68 --- unaffected
firefox68 --- unaffected
firefox69 --- wontfix
firefox70 --- wontfix
firefox71 --- wontfix
firefox72 --- wontfix
firefox73 --- verified

People

(Reporter: alin.ilea, Assigned: dimi, Mentored)

References

(Regression)

Details

(Keywords: good-first-bug, regression)

Attachments

(2 files)

Affected versions:

Nightly 70.0a1, Beta 69.0b5

Affected platforms:

Windows 8.1, Windows 10, Mac OS 10.14, Ubuntu 18.

Steps:

  1. Launch Firefox with new profile.
  2. Open about:preferences, under Privacy & Security | Security | Deceptive Content and Dangerous Software Protection, untick "Warn you about unwanted and uncommon software" then tick it back again.
  3. Open about:config and verify the urlclassifier.malwareTable pref.

Actual result:

The pref is shown as customized (i.e. in bold) and set to:
goog-malware-proto,goog-unwanted-proto,moztest-harmful-simple,moztest-malware-simple,moztest-unwanted-simple,test-unwanted-simple

Expected result:

The pref is set back to its default value (i.e. not bold):
goog-malware-proto,goog-unwanted-proto,moztest-harmful-simple,moztest-malware-simple,moztest-unwanted-simple

This is a recent regression:
Last known good build: 20190629213026
First known bad build: 20190630095236
Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=4f4de7a970353de0c86ee8cf7470ea00feb0cec9&tochange=b3eb1ee3b85dfb87789c92d417e20f377ebcfca3

Note: This bug is related to:
https://bugzilla.mozilla.org/show_bug.cgi?id=1395733

Priority: -- → P2
Regressed by: 1531354
Mentor: dlee
Keywords: good-first-bug

Reproduced on latest Nightly 71.0a1 (2019-09-11) (64-bit).

Hello! I would like to take this on as my first bug. I've got a local build setup, I've read the contribution guidelines, and I've gone through the reviewer checklist. I'm going to start by trying to repro locally and then poke around to try and figure out where I should be.

I would love any suggestions as to where I should be looking! I'll try to find my way based on the related bug ticket.

Flags: needinfo?(dlee)

Hi Zachary,
Thank you for your help!
First, you can follow the description to see if you can reproduce it.
And then you can search this keyword, "test-unwanted-simple", in Firefox codebase.
We probably forget to remove the test table somewhere.

Assignee: nobody → cczac1
Status: NEW → ASSIGNED
Flags: needinfo?(dlee)

Thank you, your help was invaluable!
I believe I was able to create a fix that accurately addresses the issue and I've submitted it for review.

I amended my original change, I think I'm ready for review again!

Pushed by dlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/df96f6fc42b8
Remove test table from malware blocking privacy settings r=dimi
Pushed by aiakab@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/654460f2dd4e
Fixed Eslint failure for in-content/privacy.js CLOSED TREE
Backout by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a07cb6ca3ee4
Backed out 2 changesets for browser chrome failures on browser_security-2.js.

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&group_state=expanded&resultStatus=testfailed%2Cbusted%2Cexception&revision=df96f6fc42b84e1b7cb517ad467edc5cefe6e8fc&selectedJob=266820167

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=266820167&repo=autoland&lineNumber=19873

Backout link: https://hg.mozilla.org/integration/autoland/rev/a07cb6ca3ee46a66578ccd4e2bdd979ed17a4829

Also please take a look over this ESlint failure: https://treeherder.mozilla.org/logviewer.html#?job_id=266816132&repo=autoland

[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | malware table doesn't include goog-unwanted-proto -
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - Buffered messages finished
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_security-2.js | malware table doesn't include test-unwanted-simple - Got true, expected false
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - Stack trace:
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochikit/content/browser-test.js:test_is:1595
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_security-2.js:checkPrefSwitch:155
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_security-2.js:null:169
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-09-16T08:44:02.755Z] 08:44:02 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | malware table has been sorted - ["goog-malware-proto","test-malware-simple","test-unwanted-simple"] deepEqual ["goog-malware-proto","test-malware-simple","test-unwanted-simple"] -
[task 2019-09-16T08:44:02.862Z] 08:44:02 INFO - GECKO(2672) | ++DOMWINDOW == 171 (000001D45A8AB400) [pid = 3880] [serial = 1702] [outer = 000001D44EFE5F20]
[task 2019-09-16T08:44:03.725Z] 08:44:03 INFO - GECKO(2672) | ++DOCSHELL 000001D451E8C000 == 46 [pid = 3880] [id = {0d9edbb1-28ee-4ad9-8e99-181ed42496ae}]
[task 2019-09-16T08:44:03.725Z] 08:44:03 INFO - GECKO(2672) | ++DOMWINDOW == 172 (000001D45D767D40) [pid = 3880] [serial = 1703] [outer = 0000000000000000]
[task 2019-09-16T08:44:03.725Z] 08:44:03 INFO - GECKO(2672) | [Parent 3880, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/dom/base/nsContentUtils.cpp, line 3659
[task 2019-09-16T08:44:03.744Z] 08:44:03 INFO - GECKO(2672) | ++DOCSHELL 000001D45B585800 == 47 [pid = 3880] [id = {bdfb586f-3b03-4285-898a-4fe41c717321}]
[task 2019-09-16T08:44:03.744Z] 08:44:03 INFO - GECKO(2672) | ++DOMWINDOW == 173 (000001D45D767F20) [pid = 3880] [serial = 1704] [outer = 0000000000000000]
[task 2019-09-16T08:44:03.905Z] 08:44:03 INFO - GECKO(2672) | --DOCSHELL 0000015FA5F4B800 == 0 [pid = 2444] [id = {696eefd9-1aa4-4a23-ad6e-de8ff9f7c3a7}] [url = about:blank]
[task 2019-09-16T08:44:04.104Z] 08:44:04 INFO - GECKO(2672) | ++DOMWINDOW == 174 (000001D45F9A4C00) [pid = 3880] [serial = 1705] [outer = 000001D45D767D40]
[task 2019-09-16T08:44:04.114Z] 08:44:04 INFO - GECKO(2672) | ++DOMWINDOW == 175 (000001D449F9F800) [pid = 3880] [serial = 1706] [outer = 000001D45D767F20]
[task 2019-09-16T08:44:04.237Z] 08:44:04 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | unwanted/uncommon preference is initialized correctly -
[task 2019-09-16T08:44:04.255Z] 08:44:04 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | block_potentially_unwanted is set correctly -
[task 2019-09-16T08:44:04.255Z] 08:44:04 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | block_uncommon is set correctly -
[task 2019-09-16T08:44:04.257Z] 08:44:04 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_security-2.js | malware table doesn't include goog-unwanted-proto -
[task 2019-09-16T08:44:04.257Z] 08:44:04 INFO - Not taking screenshot here: see the one that was previously logged

Flags: needinfo?(cczac1)

Hi Zachary,
Comment 10 says that the patch didn't pass our automation tests.
This is because some of our tests are still checking whether "test-unwanted-simple" exists.
You can find the related code here.
Please let me know if you want to continue to work on this, thanks!

There's a r+ patch which didn't land and no activity in this bug for 2 weeks.
:cczac1, could you have a look please?
For more information, please visit auto_nag documentation.

Flags: needinfo?(cczac1)

Dimi, this is a P2 with a 2 months old WIP patch, could you find an owner for it or lower the priority if we can't fix it in a release in flight? Thanks

Flags: needinfo?(dlee)
Assignee: cczac1 → dlee
Flags: needinfo?(dlee)
QA Whiteboard: [iris]
Flags: needinfo?(cczac1)

Hi,

I have managed to reproduce the issue on latest Nightly 73.0a1 (2019-12-03), so I will update the flag accordingly.

We could still take a patch for 73 and potentially for 72, Dimi, is this something you might still work on?

(In reply to Liz Henry (:lizzard) from comment #15)

We could still take a patch for 73 and potentially for 72, Dimi, is this something you might still work on?

I just submitted a patch to review :)

Flags: needinfo?(dlee)
Pushed by dlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/acc35d9b5201
Replace test-unwatned-simple with moztest-unwatned-simple r=gcp
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla73

Verified - Fixed in latest Nightly 73.0a1 (Build id: 20191219215202) using Windows 10, Mac OS 10.14 and Ubuntu 18.04.

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.